classification
Title: Python docs reference the Distribute package which has been deprecated in favor of Setuptools
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Jurko.Gospodnetić, benjamin.peterson, berker.peksag, docs@python, eric.araujo, ncoghlan, python-dev, tshepang, vinay.sajip
Priority: normal Keywords: patch

Created on 2014-03-23 08:48 by Jurko.Gospodnetić, last changed 2016-03-07 16:52 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
fix_Distribute_reference_in_venv_docs.patch Jurko.Gospodnetić, 2014-03-23 08:48 doc patch based on the current tip in CPython's development repository review
issue21034.diff berker.peksag, 2016-03-06 15:19 review
Messages (7)
msg214554 - (view) Author: Jurko Gospodnetić (Jurko.Gospodnetić) * Date: 2014-03-23 08:48
In the Python documentation note:

  http://docs.python.org/3.4/library/venv.html#venv-def

the paragraph:

> Common installation tools such as Distribute and pip work
> as expected with venvs - i.e. when a venv is active, they
> install Python packages into the venv without needing to
> be told to do so explicitly. Of course, you need to
> install them into the venv first: this could be done by
> running distribute_setup.py with the venv activated,
> followed by running easy_install pip. Alternatively, you
> could download the source tarballs and run python setup.py
> install after unpacking, with the venv activated.

refers to the Distribute package and its specifics (how it
should be installed) but that package has been deprecated
in favor of the setuptools package. I suggest to change it
to something like:

> Common installation tools such as setuptools and pip work
> as expected with venvs - i.e. when a venv is active, they
> install Python packages into the venv without needing to
> be told to do so explicitly. Of course, you need to
> install them into the venv first: this could be done by
> running setuptools project's ez_setup.py with the venv
> activated, followed by running easy_install pip.
> Alternatively, you could download the source tarballs and
> run python setup.py install after unpacking, with the venv
> activated.

I'm attaching a patch based on the current tip in CPython's
development repository.

Hope this helps.

Best regards,
  Jurko Gospodnetić
msg215448 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2014-04-03 14:19
Good point. Perhaps we should reccomend https://raw.github.com/pypa/pip/master/contrib/get-pip.py instead, though?
msg215455 - (view) Author: Jurko Gospodnetić (Jurko.Gospodnetić) * Date: 2014-04-03 16:13
Or, if you do not want to get into the specifics of how
to manually install setuptools/pip, it would probably be
better to just refer the user to the 'ensurepip' module
for the initial installation and tell him to upgrade
whatever is needed from there without going in to any
further details here.

'ensurepip' module itself is documented elsewhere (https://docs.python.org/3.4/library/ensurepip.html),
and that documentation should perhaps be updated to
include enough information (or references to external
documentation containing that information) for the
user to be able to perform the upgrades.

Best regards,
  Jurko Gospodnetić
msg261259 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-03-06 15:19
I think it would be better to just remove the following part from the documentation:

"Of course, you need to install them into the venv first: this could be done by running ez_setup.py with the venv activated, followed by running easy_install pip. Alternatively, you could download the source tarballs and run python setup.py install after unpacking, with the venv activated."

Here is a patch.
msg261286 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2016-03-07 09:19
+1 from me for just removing the bootstrapping instructions from this note.

(The original reference to Distribute has already been replaced with a reference to Setuptools at some point since Jurko filed this issue)
msg261302 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-03-07 16:50
New changeset 50f593ed1469 by Berker Peksag in branch '3.5':
Issue #21034: Remove outdated paragraph from venv documentation
https://hg.python.org/cpython/rev/50f593ed1469

New changeset ac95719f1803 by Berker Peksag in branch 'default':
Issue #21034: Remove outdated paragraph from venv documentation
https://hg.python.org/cpython/rev/ac95719f1803
msg261303 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-03-07 16:52
Thanks for the report, Jurko.

> +1 from me for just removing the bootstrapping instructions from this note.

Thanks, Nick.
History
Date User Action Args
2016-03-07 16:52:11berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg261303

stage: patch review -> resolved
2016-03-07 16:50:55python-devsetnosy: + python-dev
messages: + msg261302
2016-03-07 09:19:26ncoghlansetmessages: + msg261286
2016-03-06 15:19:24berker.peksagsetfiles: + issue21034.diff
versions: + Python 3.6, - Python 3.4
nosy: + vinay.sajip, berker.peksag

messages: + msg261259
2014-05-14 07:37:05ezio.melottisetnosy: + eric.araujo

type: enhancement
stage: patch review
2014-04-03 19:21:57ned.deilysetnosy: + ncoghlan
2014-04-03 16:13:38Jurko.Gospodnetićsetmessages: + msg215455
2014-04-03 14:19:04benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg215448
2014-04-02 17:45:31tshepangsetnosy: + tshepang
2014-03-23 08:48:39Jurko.Gospodnetićcreate